mobilebackup2_client_free
mobilebackup2_client_new
mobilebackup2_client_start_service
mobilebackup2_client_t
mobilebackup2_error_t
mobilebackup2_receive_message
mobilebackup2_receive_raw
mobilebackup2_send_message
mobilebackup2_send_raw
mobilebackup2_send_request
mobilebackup2_send_status_response
MOBILEBACKUP2_SERVICE_NAME
mobilebackup2_version_exchange

## mobilebackup2_client_free()

LIBIMOBILEDEVICE_API mobilebackup2_error_t mobilebackup2_client_free | ( | mobilebackup2_client_t | client | ) |

Disconnects a mobilebackup2 client from the device and frees up the mobilebackup2 client data.

Parameters

  client | The mobilebackup2 client to disconnect and free.

Returns
  MOBILEBACKUP2_E_SUCCESS on success, or MOBILEBACKUP2_E_INVALID_ARG if client is NULL.